﻿Public Class FormWrite
    Private Host As String = ""
    Private FromAddress As String = ""
    Private SmtpId As String = ""
    Private SmtpPassword As String = ""
    Private SmtpAuth As Integer = 0
    Private SmtpSsl As Integer = 0
    Private SmtpPort As Integer = nMail.Smtp.StandardPortNo

    Public WriteOnly Property HostName() As String
        Set(ByVal Value As String)
            Host = Value
        End Set
    End Property

    Public WriteOnly Property From() As String
        Set(ByVal Value As String)
            FromAddress = Value
        End Set
    End Property

    Public WriteOnly Property Id() As String
        Set(ByVal Value As String)
            SmtpId = Value
        End Set
    End Property

    Public WriteOnly Property Password() As String
        Set(ByVal Value As String)
            SmtpPassword = Value
        End Set
    End Property

    Public WriteOnly Property SSL() As Integer
        Set(ByVal Value As Integer)
            SmtpSsl = Value
        End Set
    End Property

    Public WriteOnly Property Auth() As Integer
        Set(ByVal Value As Integer)
            SmtpAuth = Value
        End Set
    End Property

    Public WriteOnly Property PortNo() As Integer
        Set(ByVal Value As Integer)
            SmtpPort = Value
        End Set
    End Property

    Private Sub ButtonSend_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonSend.Click
        If TextTo.Text = "" Then
            MessageBox.Show("宛先を入力してください", "vbmailnet", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return
        End If
        If TextSubject.Text = "" Then
            MessageBox.Show("件名を入力してください", "vbmailnet", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return
        End If
        Dim smtp As nMail.Smtp = New nMail.Smtp(Host)
        Try
            smtp.SSL = SmtpSsl
            smtp.Connect(SmtpPort)
            smtp.Authenticate(SmtpId, SmtpPassword, SmtpAuth)
            smtp.SendMail(TextTo.Text, FromAddress, TextSubject.Text, TextBody.Text)
            smtp.Close()

            MessageBox.Show("メールを送信しました", "vbmailnet")
            Close()
        Catch nex As nMail.nMailException
            MessageBox.Show(String.Format("{0:d}", nex.ErrorCode))
        Catch ex As Exception
            Debug.WriteLine(ex.Message)
        Finally
            smtp.Dispose()
        End Try
    End Sub
End Class